<?php
/*
Plugin Name: freecallinc - customers call you for free from your website to your phone
Plugin URI: http://www.freecallinc.com/
Description: freecallinc - With Free Call inc your customers call you for free from your website. You will receive that call at any landline, mobile phone, or SIP phone that you designate. Chat and Offline Mesaages are seamlessly built into Free Call inc. - To use free call you will need to register free account http://www.freecallinc.com/
Author: freecallinc.com
Version: 1.0.0.1
Author URI: http://www.freecallinc.com/
*/ 

add_action('admin_menu', 'freecallinc_admin_menu');
add_action('wp_footer', 'freecallinc');
$plugin = plugin_basename(__FILE__); 
add_filter("plugin_action_links_$plugin", 'freecallinc_settings_link');

function freecallinc()
{
	global $current_user;
	$config = get_freecallinc_config();
	if (empty($config['companyId']) || empty($config['siteId']))
	{
		echo '<!-- Error: freecallinc Plugin is not installed properly, please, check settings! -->';
		return false;
	}
	get_currentuserinfo();
	$dgUserId = $current_user->user_identity;
	$dgUserEmail = $current_user->user_email;
	if (empty($dgUserEmail))
	{
		$dgUserEmail = $current_user->user_login;
	}
	$dgUserName = $current_user->display_name;
	if (empty($dgUserName))
	{
		$dgUserName = $current_user->user_firstname;
	}
	echo "
	<!-- begin freecallinc tracking code -->
	<script>
	(function() {
		var dg_scr = document.createElement('script'); dg_scr.type = 'text/javascript'; dg_scr.async = true;
		dg_scr.src = (('https:' == document.location.protocol) ? 'https://' : 'http://') + 'track.freecallinc.com/freecall.js';
		dg_scr.onload = function(){
			try {
				deskGod.setOptions({
					'user_id': '{$dgUserId}',
					'user_email': '{$dgUserEmail}',
					'names_of_user': '{$dgUserName}'
				});
				deskGod.track({$config['companyId']}, {$config['siteId']});
			} catch(err){ }
		};
		var s = document.getElementsByTagName('script')[0];
		s.parentNode.insertBefore(dg_scr, s);
	})();
	</script>
	<!-- end freecallinc tracking code -->
	";
}

function get_freecallinc_config()
{
	$config = get_option('freecallinc_settings');
	return $config;
}

function set_freecallinc_config($config)
{
	update_option('freecallinc_settings', $config);
}

function freecallinc_admin_menu()
{
	add_options_page('freecallinc Settings', 'freecallinc Settings', 'administrator', __FILE__, 'freecallinc_config_page');
}

function freecallinc_config_page()
{
	echo '<div class="wrap">';
	$mainMessage = '';
	$subMessage = '';
	if (isset($_POST['dgSaveConfig']))
	{
		$config = array(
			'companyId' => (int)$_POST['companyId'],
			'siteId' => (int)$_POST['siteId']
		);
		set_freecallinc_config($config);
		$mainMessage = 'freecallinc plugin settings have been saved.';
	}
	else
	{
		$config = get_freecallinc_config();
	}
	if (empty($config['siteId']))
	{
		$subMessage = 'The plugin is not fully configurated yet! Please, fill in your site id!';
	}
	if (empty($config['companyId']))
	{
		$subMessage = 'The plugin is not fully configurated yet! Please, fill in your company id!';
	}
	if (!empty($mainMessage) || !empty($subMessage))
	{
		echo '<div id="freecallinc-saved" class="updated fade"><p><strong>'.$mainMessage.'</strong> '.$subMessage.'</p></div>';
	}
	if (function_exists('wp_cache_clean_cache'))
	{
		global $file_prefix;
		wp_cache_clean_cache($file_prefix);
	}
	$pluginFolder = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),'',plugin_basename(__FILE__));
	echo '
	<h2>
		<img src="'.$pluginFolder.'favicon.png" style="vertical-align: middle; padding-right: 3px;"/>
		<a target="_blank" href="http://www.freecallinc.com">FreeCallinc - Your Customers call you for Free</a>
	</h2>
	<p>You can find "Company ID" and "Site ID" by login in your account, they are in Websites section. If you still don not have an account you can register one for free by clicking <a href="http://all2.freecallinc.com/registerFCI/" target="_blank">Register Free Call Account</a></p>
	<form method="post" action="">
		<p>
			<label for="companyId">Company ID: </label>
			<input type="text" name="companyId" id="companyId" value="'.$config['companyId'].'"/>
		</p>
		<p>
			<label for="siteId">Site ID: </label>
			<input type="text" name="siteId" id="siteId" value="'.$config['siteId'].'"/>
		</p>
		<div class="submit">
			<input type="submit" name="dgSaveConfig" id="dgSaveConfig" value="Save"/>
		</div>
	</form>
	';
}

function freecallinc_settings_link($links)
{ 
	$settings_link = '<a href="options-general.php?page=freecall/freecallinc.php">Settings</a>'; 
	array_unshift($links, $settings_link); 
	return $links; 
}

function freecallinc_activate()
{
	add_option('freecallinc_settings', '0', 'freecallinc_settings', 'yes');
}

function freecallinc_deactivate()
{
	delete_option('freecallinc_settings');
}

function freecallinc_admin_notices()
{
	$config = get_freecallinc_config();
	if (empty($config['companyId']))
	{
		echo "<div id='freecallinc-cmp-warning' class='updated fade'><p><strong>freecallinc is almost ready.</strong> You must enter your Company Id to start using freecallinc.</p></div>";
	}
	elseif (empty($config['siteId']))
	{
		echo "<div id='freecallinc-site-warning' class='updated fade'><p><strong>freecallinc is almost ready.</strong> You must enter your Website Id to start using freecallinc.</p></div>";
	}
}

register_activation_hook( __FILE__, 'freecallinc_activate');
register_deactivation_hook( __FILE__, 'freecallinc_deactivate');
add_action('admin_notices', 'freecallinc_admin_notices');
?>